/***************************************************************************/
/***************************************************************************/
/*                                                                         */
/*   (c) 1995.  The Regents of the University of California.  All rights   */
/*   reserved.                                                             */
/*                                                                         */
/*   This work was produced at the University of California, Lawrence      */
/*   Livermore National Laboratory (UC LLNL) under contract no.            */
/*   W-7405-ENG-48 (Contract 48) between the U.S. Department of Energy     */
/*   (DOE) and The Regents of the University of California (University)    */
/*   for the operation of UC LLNL.  Copyright is reserved to the           */
/*   University for purposes of controlled dissemination,                  */
/*   commercialization through formal licensing, or other disposition      */
/*   under terms of Contract 48; DOE policies, regulations and orders;     */
/*   and U.S. statutes.  The rights of the Federal Government are          */
/*   reserved under Contract 48 subject to the restrictions agreed upon    */
/*   by the DOE and University.                                            */
/*                                                                         */
/*                                                                         */
/*                              DISCLAIMER                                 */
/*                                                                         */
/*   This software was prepared as an account of work sponsored by an      */
/*   agency of the United States Government.  Neither the United States    */
/*   Government nor the University of California nor any of their          */
/*   employees, makes any warranty, express or implied, or assumes any     */
/*   liability or responsibility for the accuracy, completeness, or        */
/*   usefulness of any information, apparatus, product, or process         */
/*   disclosed, or represents that its specific commercial products,       */
/*   process, or service by trade name, trademark, manufacturer, or        */
/*   otherwise, does not necessarily constitute or imply its               */
/*   endorsement, recommendation, or favoring by the United States         */
/*   Government or the University of California. The views and opinions    */
/*   of the authors expressed herein do not necessarily state or reflect   */
/*   those of the United States Government or the University of            */
/*   California, and shall not be used for advertising or product          */
/*   endorsement purposes.                                                 */
/*                                                                         */
/*   Permission to use, copy, modify and distribute this software and its  */
/*   documentation for any non-commercial purpose, without fee, is         */
/*   hereby granted, provided that the above copyright notice and this     */
/*   permission notice appear in all copies of the software and            */
/*   supporting documentation, and that all UC LLNL identification in      */
/*   the user interface remain unchanged.  The title to copyright LLNL     */
/*   XDIR shall at all times remain with The Regents of the University     */
/*   of California and users agree to preserve same. Users seeking the     */
/*   right to make derivative works with LLNL XDIR for commercial          */
/*   purposes may obtain a license from the Lawrence Livermore National    */
/*   Laboratory's Technology Transfer Office, P.O. Box 808, L-795,         */
/*   Livermore, CA 94550.                                                  */
/*                                                                         */
/***************************************************************************/
/***************************************************************************/

/*
 * Up arrow - "Go to Parent Directory"
 */
#define arrow_width 23
#define arrow_height 23
static unsigned char arrow_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00,
   0x00, 0x14, 0x00, 0x00, 0x22, 0x00, 0x00, 0x41, 0x00, 0x80, 0x80, 0x00,
   0x40, 0x00, 0x01, 0x20, 0x00, 0x02, 0xf0, 0xc1, 0x07, 0x00, 0x41, 0x00,
   0x00, 0x41, 0x00, 0x00, 0x41, 0x00, 0x00, 0x41, 0x00, 0x00, 0x41, 0x00,
   0x00, 0x41, 0x00, 0x00, 0x41, 0x00, 0x00, 0x41, 0x00, 0x00, 0x7f, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Folder labeled "New" - "Create New Directory"
 */
#define folder_width 23
#define folder_height 23
static unsigned char folder_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0x01,
   0x00, 0x04, 0x02, 0xfc, 0x03, 0x1c, 0x04, 0x00, 0x10, 0x04, 0x00, 0x10,
   0x04, 0x00, 0x10, 0x04, 0x00, 0x10, 0x14, 0x5d, 0x15, 0x34, 0x45, 0x15,
   0x54, 0x5d, 0x15, 0x94, 0x45, 0x15, 0x14, 0xdd, 0x17, 0x04, 0x00, 0x10,
   0x04, 0x00, 0x10, 0x04, 0x00, 0x10, 0x04, 0x00, 0x10, 0xfc, 0xff, 0x1f,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * House - "Go to Home Directory"
 */
#define home_width 23
#define home_height 23
static unsigned char home_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x9c, 0x03,
   0x00, 0xb6, 0x02, 0x00, 0xe3, 0x02, 0x80, 0xc1, 0x02, 0xc0, 0x80, 0x03,
   0x60, 0x00, 0x03, 0x30, 0x00, 0x06, 0x18, 0x00, 0x0c, 0xdc, 0xc1, 0x1d,
   0x50, 0x41, 0x05, 0x50, 0x41, 0x05, 0xd0, 0xc1, 0x05, 0x10, 0x1c, 0x04,
   0x10, 0x14, 0x04, 0x10, 0x14, 0x04, 0x10, 0x14, 0x04, 0x10, 0x14, 0x04,
   0xf0, 0xff, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Starburst - "Refresh Directory"
 */
#define refresh_width 23
#define refresh_height 23
static unsigned char refresh_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x08, 0x00,
   0x00, 0x1c, 0x00, 0x20, 0x14, 0x02, 0xc0, 0xe3, 0x01, 0xc0, 0x80, 0x01,
   0x40, 0x08, 0x01, 0x40, 0x3e, 0x01, 0x30, 0x22, 0x06, 0x1c, 0x6b, 0x1c,
   0x30, 0x22, 0x06, 0x40, 0x3e, 0x01, 0x40, 0x08, 0x01, 0xc0, 0x80, 0x01,
   0xc0, 0xe3, 0x01, 0x20, 0x14, 0x02, 0x00, 0x1c, 0x00, 0x00, 0x08, 0x00,
   0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

/*
 * Skull and crossbones - "Kill This Window"
 */
#define skull_width 23
#define skull_height 23
static unsigned char skull_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3e, 0x00,
   0x00, 0x7f, 0x00, 0x80, 0xff, 0x00, 0xc0, 0xff, 0x01, 0xc0, 0x9c, 0x01,
   0xc0, 0x9c, 0x01, 0x80, 0xf7, 0x00, 0x00, 0x77, 0x00, 0x00, 0x3e, 0x00,
   0x00, 0x2a, 0x00, 0x00, 0x2a, 0x00, 0x30, 0x1c, 0x06, 0x70, 0x00, 0x07,
   0x80, 0xe3, 0x00, 0x00, 0x1c, 0x00, 0x80, 0xe3, 0x00, 0x70, 0x00, 0x07,
   0x30, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Trash can - "Deleted Selected Entries"
 */
#define trash_width 23
#define trash_height 23
static unsigned char trash_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3e, 0x00, 0x00, 0x22, 0x00,
   0xe0, 0xff, 0x03, 0x10, 0x00, 0x04, 0xe0, 0xff, 0x03, 0x20, 0x00, 0x02,
   0xa0, 0x88, 0x02, 0x20, 0x55, 0x02, 0x20, 0x55, 0x02, 0x20, 0x55, 0x02,
   0x20, 0x55, 0x02, 0x20, 0x55, 0x02, 0x20, 0x55, 0x02, 0x20, 0x55, 0x02,
   0x20, 0x55, 0x02, 0x20, 0x55, 0x02, 0xa0, 0x88, 0x02, 0x20, 0x00, 0x02,
   0xe0, 0xff, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Eye - "View Selected Entries"
 */
#define view_width 23
#define view_height 23
static unsigned char view_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08,
   0x00, 0x30, 0x0c, 0x00, 0x60, 0x06, 0x00, 0xe0, 0x03, 0x00, 0xf0, 0x01,
   0x00, 0xf8, 0x01, 0x00, 0xfe, 0x01, 0x80, 0xb3, 0x01, 0xe0, 0xb0, 0x01,
   0x38, 0xf0, 0x01, 0x0c, 0xf0, 0x01, 0x18, 0xf0, 0x01, 0x70, 0xe0, 0x00,
   0xc0, 0xc1, 0x00, 0x00, 0x4f, 0x00, 0x00, 0xf8, 0x01, 0x00, 0x00, 0x01,
   0x00, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Tunnel - "Enter/Leave Tunneling Mode"
 */
#define tunnel_width 23
#define tunnel_height 23
static unsigned char tunnel_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3e, 0x00,
   0x80, 0xc1, 0x00, 0x40, 0x00, 0x01, 0x20, 0x00, 0x02, 0x20, 0x00, 0x02,
   0x10, 0x00, 0x04, 0x10, 0x00, 0x04, 0x10, 0x00, 0x04, 0x10, 0x00, 0x04,
   0x10, 0x00, 0x04, 0x10, 0x00, 0x07, 0x10, 0xc0, 0x07, 0x10, 0xf0, 0x07,
   0x10, 0xfc, 0x07, 0x10, 0xff, 0x07, 0xd0, 0xff, 0x07, 0xf0, 0xff, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Tabular Layout
 */
#define tabular_width 23
#define tabular_height 23
static unsigned char tabular_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xe1, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xe1, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xe1, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xe1, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xe1, 0x07,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Iconic Layout
 */
#define iconic_width 23
#define iconic_height 23
static unsigned char iconic_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1c, 0xe0, 0x00, 0xd4, 0xa3, 0x1e,
   0x1c, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x1c, 0xe0, 0x00, 0xd4, 0xa3, 0x1e,
   0x1c, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x1c, 0xe0, 0x00, 0xd4, 0xa3, 0x1e,
   0x1c, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x1c, 0xe0, 0x00, 0xd4, 0xa3, 0x1e,
   0x1c, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x1c, 0xe0, 0x00, 0xd4, 0xa3, 0x1e,
   0x1c, 0xe0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Tree Layout
 */
#define tree_width 23
#define tree_height 23
static unsigned char tree_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0xd4, 0x07, 0x00,
   0x1c, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x40, 0x7d, 0x00,
   0xc0, 0x01, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x40, 0x7d, 0x00,
   0xc0, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0xd4, 0x07,
   0x00, 0x1c, 0x00, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x00, 0xd4, 0x07, 0x00,
   0x1c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Full Information Layout
 */
#define full_info_width 23
#define full_info_height 23
static unsigned char full_info_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xbc, 0xed, 0x1e,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xbc, 0xed, 0x1e,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xbc, 0xed, 0x1e,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xbc, 0xed, 0x1e,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xbc, 0xed, 0x1e,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

/*
 * Dot files
 */
#define dot_files_width 23
#define dot_files_height 23
static unsigned char dot_files_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0x03,
   0x00, 0x03, 0x02, 0x80, 0x02, 0x02, 0x40, 0x02, 0x02, 0xe0, 0x03, 0x02,
   0x20, 0x00, 0x02, 0x20, 0x00, 0x02, 0x20, 0x08, 0x02, 0x20, 0x1c, 0x02,
   0x20, 0x3e, 0x02, 0x20, 0x1c, 0x02, 0x20, 0x08, 0x02, 0x20, 0x00, 0x02,
   0x20, 0x00, 0x02, 0x20, 0x00, 0x02, 0x20, 0x00, 0x02, 0xe0, 0xff, 0x03,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};


/*
 * Scope - "Search"
 */
/*
#define search_width 23
#define search_height 23
static unsigned char search_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3e, 0x00, 0x80, 0xc9, 0x00,
   0x60, 0x08, 0x03, 0x10, 0x3e, 0x04, 0x10, 0x08, 0x04, 0x08, 0x08, 0x08,
   0x08, 0x1c, 0x08, 0x24, 0x08, 0x12, 0x24, 0x49, 0x12, 0xfc, 0xf7, 0x1f,
   0x24, 0x49, 0x12, 0x24, 0x08, 0x12, 0x08, 0x1c, 0x08, 0x08, 0x08, 0x08,
   0x10, 0x08, 0x04, 0x10, 0x3e, 0x04, 0x60, 0x08, 0x03, 0x80, 0xc9, 0x00,
   0x00, 0x3e, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
*/

