/***************************************************************************/
/***************************************************************************/
/*                                                                         */
/*   (c) 1995.  The Regents of the University of California.  All rights   */
/*   reserved.                                                             */
/*                                                                         */
/*   This work was produced at the University of California, Lawrence      */
/*   Livermore National Laboratory (UC LLNL) under contract no.            */
/*   W-7405-ENG-48 (Contract 48) between the U.S. Department of Energy     */
/*   (DOE) and The Regents of the University of California (University)    */
/*   for the operation of UC LLNL.  Copyright is reserved to the           */
/*   University for purposes of controlled dissemination,                  */
/*   commercialization through formal licensing, or other disposition      */
/*   under terms of Contract 48; DOE policies, regulations and orders;     */
/*   and U.S. statutes.  The rights of the Federal Government are          */
/*   reserved under Contract 48 subject to the restrictions agreed upon    */
/*   by the DOE and University.                                            */
/*                                                                         */
/*                                                                         */
/*                              DISCLAIMER                                 */
/*                                                                         */
/*   This software was prepared as an account of work sponsored by an      */
/*   agency of the United States Government.  Neither the United States    */
/*   Government nor the University of California nor any of their          */
/*   employees, makes any warranty, express or implied, or assumes any     */
/*   liability or responsibility for the accuracy, completeness, or        */
/*   usefulness of any information, apparatus, product, or process         */
/*   disclosed, or represents that its specific commercial products,       */
/*   process, or service by trade name, trademark, manufacturer, or        */
/*   otherwise, does not necessarily constitute or imply its               */
/*   endorsement, recommendation, or favoring by the United States         */
/*   Government or the University of California. The views and opinions    */
/*   of the authors expressed herein do not necessarily state or reflect   */
/*   those of the United States Government or the University of            */
/*   California, and shall not be used for advertising or product          */
/*   endorsement purposes.                                                 */
/*                                                                         */
/*   Permission to use, copy, modify and distribute this software and its  */
/*   documentation for any non-commercial purpose, without fee, is         */
/*   hereby granted, provided that the above copyright notice and this     */
/*   permission notice appear in all copies of the software and            */
/*   supporting documentation, and that all UC LLNL identification in      */
/*   the user interface remain unchanged.  The title to copyright LLNL     */
/*   XDIR shall at all times remain with The Regents of the University     */
/*   of California and users agree to preserve same. Users seeking the     */
/*   right to make derivative works with LLNL XDIR for commercial          */
/*   purposes may obtain a license from the Lawrence Livermore National    */
/*   Laboratory's Technology Transfer Office, P.O. Box 808, L-795,         */
/*   Livermore, CA 94550.                                                  */
/*                                                                         */
/***************************************************************************/
/***************************************************************************/

/*
 * LLNL XDIR Button
 */
#define llnlxdir_width 82
#define llnlxdir_height 12
static unsigned char llnlxdir_bits[] = {
   0x00, 0x00, 0x08, 0x08, 0x00, 0x80, 0x40, 0x00, 0x20, 0x3a, 0x00, 0x06,
   0x0c, 0x1c, 0x8c, 0x01, 0xc0, 0x31, 0x3f, 0x30, 0xff, 0x00, 0x07, 0x0e,
   0x3a, 0xc8, 0x01, 0x80, 0x93, 0xe6, 0x38, 0xcc, 0x01, 0x06, 0x0c, 0x78,
   0x88, 0x01, 0x80, 0x0b, 0x86, 0x31, 0x8c, 0x01, 0x06, 0x0c, 0xf8, 0x88,
   0x01, 0x00, 0x0f, 0x86, 0x33, 0x8c, 0x01, 0x06, 0x0c, 0xd8, 0x89, 0x01,
   0x00, 0x06, 0x06, 0x33, 0xcc, 0x00, 0x06, 0x0c, 0x98, 0x8b, 0x01, 0x00,
   0x0e, 0x06, 0x33, 0x6c, 0x00, 0x06, 0x0c, 0x18, 0x8f, 0x01, 0x00, 0x0d,
   0x06, 0x33, 0xec, 0x00, 0x06, 0x0c, 0x18, 0x8e, 0x01, 0x00, 0x19, 0x06,
   0x31, 0xcc, 0x00, 0x06, 0x0c, 0x18, 0x8e, 0x01, 0x80, 0x38, 0x86, 0x30,
   0x8c, 0x01, 0xfe, 0xfc, 0x19, 0x8c, 0x3f, 0xc0, 0x70, 0x7e, 0x30, 0x8c,
   0x03, 0x7e, 0xfc, 0x08, 0x88, 0x1f, 0x20, 0x30, 0x3c, 0x10, 0x06, 0x01};


/*
 * Lawrence Livermore National Laboratory
 */
#define llnl_width 184
#define llnl_height 10
static unsigned char llnl_bits[] = {
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02,
   0x00, 0x00, 0x00, 0x00, 0x80, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x22,
   0x40, 0x02, 0x00, 0x0c, 0x01, 0x04, 0x00, 0x00, 0x01, 0x00, 0x02, 0x00,
   0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26, 0x40,
   0x00, 0x00, 0x08, 0x01, 0x04, 0x00, 0x00, 0x01, 0x00, 0x82, 0x09, 0x6a,
   0xe6, 0x18, 0x83, 0xb0, 0xc8, 0xb4, 0x1b, 0xd3, 0x0c, 0x26, 0xf3, 0x33,
   0xc7, 0x08, 0xc1, 0x1c, 0xd3, 0xcc, 0x9b, 0x96, 0x01, 0x52, 0x19, 0x29,
   0xa5, 0x44, 0x20, 0x25, 0x8d, 0xa4, 0x34, 0x12, 0x15, 0x24, 0x4a, 0x09,
   0x89, 0x00, 0xa5, 0x34, 0x90, 0xa4, 0x91, 0xc1, 0xd1, 0x84, 0x27, 0xc3,
   0x43, 0x20, 0xf3, 0x82, 0x64, 0x0c, 0x0f, 0x99, 0x13, 0x46, 0xe9, 0x84,
   0xe0, 0x62, 0x0c, 0x4e, 0x62, 0x48, 0x21, 0x71, 0x84, 0x90, 0x52, 0x40,
   0x10, 0x11, 0x42, 0x52, 0x0a, 0x01, 0x59, 0x12, 0xa5, 0x94, 0x84, 0x90,
   0x52, 0x0a, 0x49, 0x52, 0x48, 0xcf, 0x51, 0x04, 0x93, 0x8c, 0xc1, 0x13,
   0x61, 0x42, 0x92, 0x09, 0x06, 0x91, 0x23, 0x99, 0xe4, 0x84, 0xe7, 0x8e,
   0x09, 0x8e, 0x4c, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
   0x00, 0x18};

